Sublime Merge Icon.
ClosedPublic

Authored by otavva on Mar 26 2019, 4:26 PM.

Details

Reviewers
ndavis
Group Reviewers
VDG
Commits
R266:69d7182daffc: Sublime Merge Icon.
Summary

Just added Sublime Merge icon. 3.28.2019

Diff Detail

Repository
R266 Breeze Icons
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
otavva created this revision.Mar 26 2019, 4:26 PM
Restricted Application added a project: Frameworks. · View Herald TranscriptMar 26 2019, 4:26 PM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
otavva requested review of this revision.Mar 26 2019, 4:26 PM
otavva added a reviewer: VDG.Mar 26 2019, 4:28 PM
otavva added a subscriber: VDG.
ngraham added a subscriber: ngraham.

Thanks! The new icon looks good to me. However it looks like an xmlerrors file was accidentally added to this patch. Can you remove that?

filipf added a subscriber: filipf.Mar 26 2019, 5:06 PM

Looks good. Since it's a proprietary program just check if they have any restrictions about having to use their icons. And yep, the xmlerrors file should be removed.

otavva updated this revision to Diff 54935.Mar 27 2019, 3:17 PM

I think that Sublime Merge use Sublime Text license. It is free for use, too.

I think the cyan color is too bright and saturated. It fits the original branding well, but stands out from other Breeze icons.

I would suggest using a darker, more blue than cyan color.

Maybe this color will be better?

Ooh, I like it!

ndavis accepted this revision.Mar 27 2019, 6:35 PM

This is very nice.

This revision is now accepted and ready to land.Mar 27 2019, 6:35 PM

I don't that version is actually in the patch though. @otavva can you update this patch to have that version of the icon? Then we can get it landed for you.

I don't that version is actually in the patch though. @otavva can you update this patch to have that version of the icon? Then we can get it landed for you.

No, it's there, but for some reason I see myself as the author of the commit instead of @otavva

ndavis added a comment.EditedMar 27 2019, 10:30 PM

Oh wait no, it's not there yet, but it still looks pretty good.

However, I did notice this on a closer inspection of the shapes:

@otavva, could you make the top shape more like how it is in the official logo? You don't need to do the rounded corners, but that middle section is off.

https://www.sublimemerge.com/images/logo.svg

but for some reason I see myself as the author of the commit instead of @otavva

That's how it looks when you test a patch by someone who didn't use arc to produce it: you see your own authorship info instead of theirs. Sucks, I know...

otavva updated this revision to Diff 54981.Mar 28 2019, 12:13 PM
otavva edited the summary of this revision. (Show Details)

Updated it.
@ndavis Done.

ndavis accepted this revision.Mar 29 2019, 10:10 PM

@otavva I need your email and real name to land your patch with the correct author. If you use the Arcanist tool for patches in the future, you will need to make sure that your real name is set as your Git user name.

@ndavis
Should I to put it here? Sorry for stupid question, but I don't understand you fully. And what is Arcanist tool? I'm a first time here.

@ndavis
Should I to put it here?

Yeah just put it in a comment.

And what is Arcanist tool? I'm a first time here.

https://community.kde.org/Infrastructure/Phabricator#Using_Arcanist_to_post_patches

otavva added a comment.EditedMar 31 2019, 3:02 PM

kirill.otavenko@gmail.com
Kirill Otavva.

This revision was automatically updated to reflect the committed changes.